> ## Documentation Index
> Fetch the complete documentation index at: https://docs.memorylake.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 列出技能版本

> 返回技能已发布的各个版本及其安全审核状态

```
GET /openapi/memorylake/api/v3/skills/{id}/versions
```

返回技能已发布的版本，按版本号从新到旧排列，每个版本带有自己的安全审核状态。

<Note>
  **所需权限：** `skill:read`
</Note>

### 路径参数

<ParamField path="id" type="string" required>
  技能 ID
</ParamField>

### 查询参数

<ParamField query="page_size" type="integer" default="20">
  每页返回的版本数，取值 1 到 100。
</ParamField>

<ParamField query="continuation_token" type="string">
  上一次调用返回的分页令牌。首次请求时省略此参数。
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET 'https://app.memorylake.cn/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24/versions?page_size=20' \
    -H 'Authorization: Bearer sk_xxxxxx'
  ```
</RequestExample>

### 响应

<ResponseField name="data" type="object">
  <Expandable title="分页版本列表">
    <ResponseField name="items" type="array">
      版本对象数组

      <Expandable title="版本对象">
        <ResponseField name="skill_id" type="string">该版本所属的技能 ID</ResponseField>
        <ResponseField name="version" type="integer">版本号。在发布时分配，永不复用。</ResponseField>
        <ResponseField name="changelog" type="string">该版本的发布说明</ResponseField>
        <ResponseField name="security_status" type="string">该版本的安全审核状态：`pending`、`safe`、`blocked` 或 `error`</ResponseField>
        <ResponseField name="created_at" type="string">该版本的发布时间</ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="total" type="integer">版本总数</ResponseField>
    <ResponseField name="continuation_token" type="string">下一页的分页令牌。当为最后一页时，该值不存在或为 `null`。</ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "success": true,
    "data": {
      "items": [
        {
          "skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
          "version": 3,
          "changelog": "Add analyst consensus to the summary table",
          "security_status": "safe",
          "created_at": "2026-09-30T02:41:07Z"
        },
        {
          "skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
          "version": 2,
          "changelog": "Fetch filings over HTTPS only",
          "security_status": "blocked",
          "created_at": "2026-09-12T08:15:52Z"
        },
        {
          "skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
          "version": 1,
          "changelog": "Initial version",
          "security_status": "safe",
          "created_at": "2026-08-21T09:12:44Z"
        }
      ],
      "total": 3
    }
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.